Name:           perl-Class-XSAccessor-Array
Version:        1.04
Release:        1%{?dist}
Summary:        Generate fast XS accessors without runtime compilation
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Class-XSAccessor-Array/
Source0:        http://www.cpan.org/authors/id/S/SM/SMUELLER/Class-XSAccessor-Array-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(AutoXS::Header) >= 1.00 
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The module implements fast XS accessors both for getting at and setting an
object attribute. Additionally, the module supports mutators and simple
predicates (has_foo() like tests for definedness of an attributes). The
module works only with objects that are implemented as arrays. Using it on
hash-based objects is bound to make your life miserable. Refer to
Class::XSAccessor for an implementation that works with hash-based objects.

%prep
%setup -q -n Class-XSAccessor-Array-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Class*
%{_mandir}/man3/*

%changelog
* Mon Jul 27 2009 Marcela Mašláňová <mmaslano@redhat.com> 1.04-1
- update

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.03-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun  3 2009 Marcela Mašláňová <mmaslano@redhat.com> 1.03-1
- update

* Mon Mar  2 2009 Marcela Mašláňová <mmaslano@redhat.com> 0.14-2
- add BR

* Thu Feb 26 2009 Marcela Mašláňová <mmaslano@redhat.com> 0.14-1
- Specfile autogenerated by cpanspec 1.78.
